var scriptName = "Dyamic Fov 2";
var scriptAuthor = "Soulplexis";
var scriptVersion = 1.0;

function randomIntFrom(min,max) // Get a random integer from [min] to [max] 
{
    return Math.floor(Math.random()*(max-min+1)+min);
}

function WowBob() {
    this.getName = function() {
        return "HolyShit2";
    }

    this.getCategory = function() {
        return "Render";   
    }

    this.getDescription = function() {
        return "";
    }

    this.onMotion = function() {
			mc.gameSettings.fovSetting += randomIntFrom(-90,90);
}
	this.onDisable = function() {
		mc.gameSettings.fovSetting = 70;
	}
}

var wowBob = new WowBob();
var wowBobClient;

function onEnable() {
    wowBobClient = moduleManager.registerModule(wowBob);
}

function onDisable() {
    moduleManager.unregisterModule(wowBobClient);
}